# Class InterstitialAd

java.lang.Object
com.codename1.ads.InterstitialAd

public class InterstitialAd extends Object

A full screen interstitial ad shown at natural break points such as between game levels or activities.

    InterstitialAd ad = new InterstitialAd("ca-app-pub-xxx/yyy");
    ad.setAdListener(new AdListener() {
        public void onDismissed() { ad.load(); } // preload the next one
    });
    ad.load();

    // later, at a natural break such as the end of a level
    if (ad.isLoaded()) {
        ad.show();
    }

Show the ad at the break you chose rather than from `onLoaded()`. Because `onDismissed()` loads the next ad, a `show()` inside `onLoaded()` makes each dismissal open another ad and the user cannot get out of the sequence.

All callbacks are delivered on the EDT. You can also let Codename One show an interstitial automatically on screen transitions with `AdManager.bindInterstitialOnTransition(InterstitialAd, int)`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InterstitialAd(String adUnitId)`
  Creates an interstitial for the given ad unit id.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  Releases the resources held by this ad.
  `AdListener`
  `getAdListener()`
  The listener notified of this ad's lifecycle events, may be null.
  `boolean`
  `isLoaded()`
  True when an ad is loaded and ready to `show()`.
  `void`
  `load()`
  Loads an ad with default targeting.
  `void`
  `load(AdRequest request)`
  Loads an ad using the supplied targeting metadata.
  `void`
  `setAdListener(AdListener listener)`
  Sets the listener notified of this ad's lifecycle events.
  `void`
  `show()`
  Presents the loaded ad.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InterstitialAd

    public InterstitialAd(String adUnitId)

    Creates an interstitial for the given ad unit id.

    ###### Parameters

    - `adUnitId`: the ad unit identifier from the network console

- ## Method Details

  - ### setAdListener

    public void setAdListener(AdListener listener)
    Sets the listener notified of this ad's lifecycle events.

  - ### getAdListener

    public AdListener getAdListener()
    The listener notified of this ad's lifecycle events, may be null.

  - ### load

    public void load()
    Loads an ad with default targeting.

  - ### load

    public void load(AdRequest request)

    Loads an ad using the supplied targeting metadata.

    ###### Parameters

    - `request`: optional targeting metadata, may be null

  - ### isLoaded

    public boolean isLoaded()
    True when an ad is loaded and ready to `show()`.

  - ### show

    public void show()
    Presents the loaded ad. Does nothing if no ad is loaded.

  - ### dispose

    public void dispose()
    Releases the resources held by this ad.